List AI Connections
GEThttps://api.confident-ai.com/v1/ai-connections
Lists the AI connections in your project.
curl -X GET "https://api.confident-ai.com/v1/ai-connections" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"aiConnections": [
{
"id": "AI-CONNECTION-ID",
"name": "Production Chatbot",
"endpoint": "https://api.example.com/chat",
"active": true
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Response
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
aiConnectionslist of objectsShow 4 propertiesHide 4 properties
idstringThe unique identifier of the AI connection.
namestringThe name of the AI connection.
endpointstringThe endpoint of the AI connection where requests are made.
activebooleanWhether the AI connection is active.
Built byConfident AI